﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            TTi TGA1242: (1 year) VER IEEE /5790A,8903,ESA,LFCTR
DATE:                  2017-02-09 12:12:11
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       270
CONFIGURATION:         Fluke 5790A
CONFIGURATION:         HP 8903B
CONFIGURATION:         Agilent ESA
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Additional Equipment Required:
#        See procedure body for specific cables and adapters required.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J             C                     V

  1.002  IF           0
  1.003  5790         *                                                 S
  1.004  8903         *                                                 S
  1.005  ESA          Reset
  1.006  IEEE         [@LFCTR]
  1.007  ENDIF

  1.008  IF           NOT(VERSIONCHECK("8.0"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Prior to beginning verification, a UUT warm-up time
  1.013  DISP         of 30 minutes.
  1.013  DISP
  1.013  DISP         Additionally, the UUT must have acclimated to the
  1.013  DISP         ambient conditions of the test environment for at
  1.013  DISP         least two hours.

  1.014  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method
  1.017  CALL         Sub UUT Connection GPIB

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE

  1.020  MATH         @Manufacturer     = GETV("Manufacturer")
  1.021  MATH         @ModelNum         = GETV("Model_Num")
  1.022  MATH         @UUT_Manufacturer = "THURLBY THANDAR"
  1.023  MATH         @UUT_Model        = "TGA1242"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

  1.028  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.028  OPBR         additional equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Fluke 281/282/284 (1 yr) Min Requirements /LFCTR

  1.031  IF           @Abort
  1.032  END
  1.033  ENDIF

  1.034  CALL         Sub Fluke 281/282/284 Additional Required Equipment
  1.035  ENDIF

  1.036  RESET        OUTPUT OFF;*OPC?[I!]

# Set timeout for "Sub Wait for OPC 488.2" to 10 s.
  1.037  MATH         @Timeout = 10000

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Sine Frequency Accuracy Ch 1       Sine Frequency Accuracy Ch 1
#    2.   Sine Frequency Accuracy Ch 2       Square Frequency Accuracy Ch 1
#    3.   Square Frequency Accuracy Ch 1     Square Rise/Fall Time Ch 1
#    4.   Square Frequency Accuracy Ch 2     Sine Frequency Accuracy Ch 2
#    5.   Frequency Synthesis Ch 1           Square Frequency Accuracy Ch 2
#    6.   Frequency Synthesis Ch 2           Square Rise/Fall Time Ch 2
#    7.   Square Rise/Fall Time Ch 1         Frequency Synthesis Ch 1
#    8.   Square Rise/Fall Time Ch 2         Frequency Synthesis Ch 2
#    9.   Amplitude Accuracy Ch 1            Amplitude Accuracy Ch 1
#   10.   Amplitude Accuracy Ch 2            Amplitude Flatness Ch 1
#   11.   Amplitude Flatness Ch 1            Amplitude Accuracy Ch 2
#   12.   Amplitude Flatness Ch 2            Amplitude Flatness Ch 2
#   13.   Sine Distortion <= 100 kHz Ch 1    Sine Distortion <= 100 kHz Ch 1
#   14.   Sine Distortion > 100 kHz Ch 1     Sine Distortion <= 100 kHz Ch 2
#   15.   Sine Distortion <= 100 kHz Ch 2    Sine Distortion > 100 kHz Ch 1
#   16.   Sine Distortion > 100 kHz Ch 2     Non-harmonic Distortion Ch 1
#   17.   Non-harmonic Distortion Ch 1       Sine Distortion > 100 kHz Ch 2
#   18.   Non-harmonic Distortion Ch 2       Non-harmonic Distortion Ch 2

  1.038  RSLT         =
  1.039  RSLT         =SINE WAVE FREQUENCY ACCURACY
  1.040  RSLT         =
  1.041  RSLT         =Channel 1
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.044  JMPL         SQUARE_FREQ_CH1

  1.045  LABEL        SINE_FREQ_CH2
  1.046  RSLT         =
  1.047  RSLT         =Channel 2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.050  JMPL         SQUARE_FREQ_CH2

  1.051  LABEL        SQUARE_FREQ_CH1
  1.052  RSLT         =
  1.053  RSLT         =SQUARE WAVE FREQUENCY ACCURACY
  1.054  RSLT         =
  1.055  RSLT         =Channel 1
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.058  JMPL         RISE_FALL_CH1

  1.059  LABEL        SQUARE_FREQ_CH2
  1.060  RSLT         =
  1.061  RSLT         =Channel 2
  1.062  MATH         @Chan = 2
  1.063  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.064  JMPL         RISE_FALL_CH2

  1.065  LABEL        FREQ_SYNTHESIS_CH1
  1.066  RSLT         =
  1.067  RSLT         =FREQUENCY SYNTHESIS
  1.068  RSLT         =
  1.069  RSLT         =Channel 1
  1.070  MATH         @Chan = 1
  1.071  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR

  1.072  RSLT         =
  1.073  RSLT         =Channel 2
  1.074  MATH         @Chan = 2
  1.075  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
  1.076  JMPL         AMPLITUDE_CH1

  1.077  LABEL        RISE_FALL_CH1
  1.078  RSLT         =
  1.079  RSLT         =SQUARE WAVE RISE/FALL
  1.080  RSLT         =
  1.081  RSLT         =Channel 1
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.084  JMPL         SINE_FREQ_CH2

  1.085  LABEL        RISE_FALL_CH2
  1.086  RSLT         =
  1.087  RSLT         =Channel 2
  1.088  MATH         @Chan = 2
  1.089  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.090  JMPL         FREQ_SYNTHESIS_CH1

  1.091  LABEL        AMPLITUDE_CH1
  1.092  RSLT         =
  1.093  RSLT         =AMPLITUDE ACCURACY (1 kHz)
  1.094  RSLT         =
  1.095  RSLT         =Channel 1
  1.096  MATH         @Chan = 1
  1.097  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.098  JMPL         AMPLITUDE_FLATLESS_CH1

  1.099  LABEL        AMPLITUDE_CH2
  1.100  RSLT         =
  1.101  RSLT         =Channel 2
  1.102  MATH         @Chan = 2
  1.103  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.104  JMPL         AMPLITUDE_FLATLESS_CH2

  1.105  LABEL        AMPLITUDE_FLATLESS_CH1
  1.106  RSLT         =
  1.107  RSLT         =AMPLITUDE FLATNESS (1 kHz Reference)
  1.108  RSLT         =
  1.109  RSLT         =Channel 1
  1.110  MATH         @Chan = 1
  1.111  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.112  JMPL         AMPLITUDE_CH2

  1.113  LABEL        AMPLITUDE_FLATLESS_CH2
  1.114  RSLT         =
  1.115  RSLT         =Channel 2
  1.116  MATH         @Chan = 2
  1.117  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790

  1.118  RSLT         =
  1.119  RSLT         =SINE WAVE DISTORTION
  1.120  RSLT         =
  1.121  RSLT         =Channel 1
  1.122  RSLT         =
  1.123  RSLT         =Total Harmonic Distortion
  1.124  MATH         @Chan = 1
  1.125  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.126  JMPL         8903_DISTORTION_CH2

  1.127  LABEL        ESA_DISTORTION_CH1
  1.128  MATH         @Chan = 1
  1.129  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA
  1.130  JMPL         ESA_NON-HARMONIC_DISTORTION_CH1

  1.131  LABEL        8903_DISTORTION_CH2
  1.132  RSLT         =
  1.133  RSLT         =Channel 2
  1.134  RSLT         =
  1.135  RSLT         =Total Harmonic Distortion
  1.136  MATH         @Chan = 2
  1.137  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.138  JMPL         ESA_DISTORTION_CH1

  1.139  LABEL        ESA_DISTORTION_CH2
  1.140  MATH         @Chan = 2
  1.141  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA
  1.142  JMPL         ESA_NON-HARMONIC_DISTORTION_CH2

  1.143  LABEL        ESA_NON-HARMONIC_DISTORTION_CH1
  1.144  RSLT         =
  1.145  RSLT         =SINE WAVE NON-HARMONIC DISTORTION (6 MHz Fundamental)
  1.146  RSLT         =
  1.147  RSLT         =Channel 1
  1.148  MATH         @Chan = 1
  1.149  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA
  1.150  JMPL         ESA_DISTORTION_CH2

  1.151  LABEL        ESA_NON-HARMONIC_DISTORTION_CH2
  1.152  RSLT         =
  1.153  RSLT         =Channel 2
  1.154  MATH         @Chan = 2
  1.155  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA

  1.156  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.157  END




